
QGIS Application - Feature request #4476

Add a 2 cases if() command to Raster Calculator

2011-11-01 05:08 AM - alobo -

Status: Feedback

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14403

Description

An if() command with 2 cases output would be most useful:

if(condition, result1, result2)

where the output value is result1 if condition==T and result2 otherwise.

Agus

History

#1 - 2011-11-01 05:09 AM - alobo -

- Category set to Rasters

- Target version set to Version 1.7.1

- Operating System set to all

#2 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#3 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#4 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2015-12-05 05:13 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

the raster calculator can handle conditions but the expression is not so easy to understand:

("elevation@1" < 50) * 1 + ("elevation@1" >= 50) * 2

2025-05-17 1/2



will make cells with a value less than 50 have a value of 1 and cells with a value greater than or equal to 50 have a value of 2.

Was your feature request about a way to have conditions in the raster calculator or about the syntax of the condition ?

#8 - 2015-12-10 02:44 AM - alobo -

Well, that syntax is really odd, I had not even thought on it.

I guess that

if(condition, result1, result2)

would be a lot more transparent and easier to remember

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2018-11-23 08:31 AM - Alister Hood

- Description updated

Is this ticket really waiting for feeback?  Of what in particular?

Perhaps it should be closed, maybe as a duplicate of #7581.
